package com.persagy.dptool;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;
import java.io.InputStream;

public class MainApp extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) throws IOException {
        InputStream is = MainApp.class.getResourceAsStream("primary.fxml");
        Parent root = new FXMLLoader().load(is);
        primaryStage.setTitle("data-platform-tool");
        primaryStage.setScene(new Scene(root));
        primaryStage.show();
    }
}
