package com.persagy.dptool.dto;

import java.util.List;

public class EqDTO {
    public String facility;
    public String code;
    public List<ComponentDTO> components;

    public String getFacility() {
        return facility;
    }

    public void setFacility(String facility) {
        this.facility = facility;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public List<ComponentDTO> getComponents() {
        return components;
    }

    public void setComponents(List<ComponentDTO> components) {
        this.components = components;
    }

    public String check() {
        if(code == null) {
            return "设备编码code值为空";
        }else if(code.length() != 4) {
            return "设备编码code值长度不等于4";
        }

        if(facility == null) {
            return "设备名称facility值为空";
        }

        return null;
    }
}
