package com.persagy.dptool.dto;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class MajorDTO {
    @JsonProperty("class")
    private String name;
    private String code;
    private List<SystemDTO> content;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public List<SystemDTO> getContent() {
        return content;
    }

    public void setContent(List<SystemDTO> content) {
        this.content = content;
    }

    public String check() {
        if(code == null) {
            return "专业编码code值为空";
        }else if(code.length() != 2) {
            return "专业编码code值长度不等于2";
        }

        if(name == null) {
            return "专业名称class值为空";
        }

        return null;
    }
}
